Ruby: rb_transcoder Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
rb_transcoder Struct Reference

## Data Fields
const char * | src_encoding
const char * | dst_encoding
unsigned int | conv_tree_start
const unsigned char * | byte_array
unsigned int | byte_array_length
const unsigned int * | word_array
unsigned int | word_array_length
int | word_size
int | input_unit_length
int | max_input
int | max_output
rb_transcoder_asciicompat_type_t | asciicompat_type
size_t | state_size
int(* | state_init_func )(void *)
int(* | state_fini_func )(void *)
VALUE(* | func_ii )(void *, VALUE)
VALUE(* | func_si )(void *, const unsigned char *, size_t)
ssize_t(* | func_io )(void *, VALUE, const unsigned char *, size_t)
ssize_t(* | func_so )(void *, const unsigned char *, size_t, unsigned char *, size_t)
ssize_t(* | finish_func )(void *, unsigned char *, size_t)
ssize_t(* | resetsize_func )(void *)
ssize_t(* | resetstate_func )(void *, unsigned char *, size_t)
ssize_t(* | func_sio )(void *, const unsigned char *, size_t, VALUE, unsigned char *, size_t)

## Detailed Description

Definition at line 97 of file transcode_data.h.

## Field Documentation

## ◆ asciicompat_type

rb_transcoder_asciicompat_type_t rb_transcoder::asciicompat_type

Definition at line 109 of file transcode_data.h.

## ◆ byte_array

const unsigned char* rb_transcoder::byte_array

Definition at line 101 of file transcode_data.h.

## ◆ byte_array_length

unsigned int rb_transcoder::byte_array_length

Definition at line 102 of file transcode_data.h.

## ◆ conv_tree_start

unsigned int rb_transcoder::conv_tree_start

Definition at line 100 of file transcode_data.h.

## ◆ dst_encoding

const char* rb_transcoder::dst_encoding

Definition at line 99 of file transcode_data.h.

## ◆ finish_func

ssize_t(* rb_transcoder::finish_func) (void *, unsigned char *, size_t)

Definition at line 117 of file transcode_data.h.

## ◆ func_ii

VALUE(* rb_transcoder::func_ii) (void *, VALUE)

Definition at line 113 of file transcode_data.h.

## ◆ func_io

ssize_t(* rb_transcoder::func_io) (void *, VALUE, const unsigned char *, size_t)

Definition at line 115 of file transcode_data.h.

## ◆ func_si

VALUE(* rb_transcoder::func_si) (void *, const unsigned char *, size_t)

Definition at line 114 of file transcode_data.h.

## ◆ func_sio

ssize_t(* rb_transcoder::func_sio) (void *, const unsigned char *, size_t, VALUE, unsigned char *, size_t)

Definition at line 120 of file transcode_data.h.

## ◆ func_so

ssize_t(* rb_transcoder::func_so) (void *, const unsigned char *, size_t, unsigned char *, size_t)

Definition at line 116 of file transcode_data.h.

## ◆ input_unit_length

int rb_transcoder::input_unit_length

Definition at line 106 of file transcode_data.h.

## ◆ max_input

int rb_transcoder::max_input

Definition at line 107 of file transcode_data.h.

## ◆ max_output

int rb_transcoder::max_output

Definition at line 108 of file transcode_data.h.

## ◆ resetsize_func

ssize_t(* rb_transcoder::resetsize_func) (void *)

Definition at line 118 of file transcode_data.h.

## ◆ resetstate_func

ssize_t(* rb_transcoder::resetstate_func) (void *, unsigned char *, size_t)

Definition at line 119 of file transcode_data.h.

## ◆ src_encoding

const char* rb_transcoder::src_encoding

Definition at line 98 of file transcode_data.h.

## ◆ state_fini_func

int(* rb_transcoder::state_fini_func) (void *)

Definition at line 112 of file transcode_data.h.

## ◆ state_init_func

int(* rb_transcoder::state_init_func) (void *)

Definition at line 111 of file transcode_data.h.

## ◆ state_size

size_t rb_transcoder::state_size

Definition at line 110 of file transcode_data.h.

## ◆ word_array

const unsigned int* rb_transcoder::word_array

Definition at line 103 of file transcode_data.h.

## ◆ word_array_length

unsigned int rb_transcoder::word_array_length

Definition at line 104 of file transcode_data.h.

## ◆ word_size

int rb_transcoder::word_size

Definition at line 105 of file transcode_data.h.

The documentation for this struct was generated from the following file:

- transcode_data.h